#ifndef _YSTRING_H
#define _YSTRING_H

#include <string.h>

/*
 * standard but not supported in ancient UNIX. (substituted by libsubst.a)
 */
#ifndef __GNU_LIBRARY__
extern char *strdup();
extern char *strstr();
extern char *strpbrk();
#endif

/*
 * non-standard
 */
extern char *strcasestr();
extern char *strrpbrk();
extern char *stralloc();
extern char *strtail();
extern char *strtailstr();
extern char *scanint();
extern char *linescanX();
#define lineScan(s,l)	linescanX(s,l,sizeof(l))

extern char *wordscanX();
#define wordScan(s,w)	wordscanX(s,w,sizeof(w))

extern char *awordscan();

#endif _YSTRING_H
